Re: Can aries be used in development of Apps on 11.00 and 11.11 (130 Views)
Reply
Frequent Advisor
inukoti
Posts: 40
Registered: ‎07-26-2007
Message 1 of 8 (130 Views)

Can aries be used in development of Apps on 11.00 and 11.11

Dear all,

Can aries be used in Development of 11.00 and 11.11 PA-RISC apps on 11.23/11.31 IA machines .
I know we can do it in solaris zones , here PRM or secure PRM doesnot support 11.00 and 11.11 .
Our clients doesn't want to upgrade to 11.23/11.31 so we need to still support our Old product .
Any Ideas folks, thanks in Advance.
Please use plain text.
Honored Contributor
Matti_Kurkela
Posts: 6,271
Registered: ‎12-02-2001
Message 2 of 8 (130 Views)

Re: Can aries be used in development of Apps on 11.00 and 11.11

Aries is a run-time emulator only: it does not include development tools.
You would need cross-development environment that is targetted to both a different CPU architecture and a legacy OS version. Such a thing does not seem to exist at the moment.

HP XPADE is something that might eventually become such a cross-development environment, but in its current state it *cannot* solve your problem:

http://www.hp.com/go/xpade

HP-UX 11.00 is unsupported: the situation would be equivalent of trying to develop for Solaris 7/x86 on Solaris 10/SPARC. Even Solaris Zones cannot do that, as far as I know.

MK
MK
Please use plain text.
HP Pro
Rajesh K Chaurasia
Posts: 76
Registered: ‎01-31-2008
Message 3 of 8 (130 Views)

Re: Can aries be used in development of Apps on 11.00 and 11.11

HP XPADE as suggested in previous post can be used for compilation and linking of PA-RISC sources on HP-UX 11.23/11.31. XPADE provides development environment for HP-UX 11.23/11.31 only. XPADE built objects (executables, libraries) need to be deployed on Integrity/ARIES only. Please refer to XPADE web page for more details.

Regards
-Rajesh
Please use plain text.
Acclaimed Contributor
Dennis Handly
Posts: 24,774
Registered: ‎03-06-2006
Message 4 of 8 (130 Views)

Re: Can aries be used in development of Apps on 11.00 and 11.11

>Any ideas folks,

You can roll your own SDK (you won't be supported):
http://docs.hp.com/en/14672/Help/commandsyntax.htm#SDKROOT

>MK: the situation would be equivalent of trying to develop for Solaris 7/x86 on Solaris 10/SPARC.

I'm not sure it is that equivalent after all.
Please use plain text.
Honored Contributor
Matti_Kurkela
Posts: 6,271
Registered: ‎12-02-2001
Message 5 of 8 (130 Views)

Re: Can aries be used in development of Apps on 11.00 and 11.11

> MK: the situation would be equivalent of trying to develop for Solaris 7/x86 on Solaris 10/SPARC.

Dennis: I'm not sure it is that equivalent after all.

Well, HP-UX 11.00 is unsupported, just like Solaris 7 is.

x86 and SPARC are different CPU architectures, just like PA-RISC and Itanium.

And by a quick look to the Solaris Zones documentation, the zones will allow compatibility with Solaris 8 or 9, but not with 7; this is probably because Solaris 7 is unsupported. And the zones simply cannot emulate a different CPU architecture; they can only translate the programming API.

Just like I don't expect Sun/Oracle to put much resources into extending the Zones functionality to cover Solaris 7, I don't expect HP to provide cross-development tools on Itanium for HP-UX _11.00_. The key words in both cases are "obsolete" and "unsupported".

In HP's case, the entire PA-RISC architecture is on its way out, and the 11.11 End-Of-Sales date was at the end of 2009. Maybe the future releases of XPADE will become a full cross-architecture development environment that allows building real PA-RISC software on Itanium; but on the XPADE web pages it says the priority will be on 11.23/PARISC and 11.31/PARISC targets only.

If XPADE gains the ability to build for 11.11/PARISC target, well and good... but I expect it will take a while.

I acknowledge that Itanium may have been designed to include some hardware-level PA-RISC compatibility to make Aries possible/easier.
But it would be possible to create a x86 emulator for SPARC, too; it just might be less efficient, but not so different in kind.

MK
MK
Please use plain text.
Acclaimed Contributor
Dennis Handly
Posts: 24,774
Registered: ‎03-06-2006
Message 6 of 8 (130 Views)

Re: Can aries be used in development of Apps on 11.00 and 11.11

>MK: x86 and SPARC are different CPU architectures, just like PA-RISC and Itanium.

That's where Aries comes in, it removes that difference.

>I acknowledge that Itanium may have been designed to include some hardware-level PA-RISC compatibility

There isn't any that I know of, other than common instructions like ADD and SUBTRACT. :-)
Please use plain text.
Frequent Advisor
inukoti
Posts: 40
Registered: ‎07-26-2007
Message 7 of 8 (130 Views)

Re: Can aries be used in development of Apps on 11.00 and 11.11

Thanks all for your inputs, after seeing the XPADE only i opened the thread in order to get the experienced admins feedback. Lets hope XPADE is supported for 11.11 environment.
Please use plain text.
Acclaimed Contributor
Dennis Handly
Posts: 24,774
Registered: ‎03-06-2006
Message 8 of 8 (130 Views)

Re: Can aries be used in development of Apps on 11.00 and 11.11

>I opened the thread in order to get the experienced admins feedback.

You probably want feedback from developers, not admins.

>Lets hope XPADE is supported for 11.11 environment.

(Were you asking for "will be supported"? Otherwise, it isn't now.)
Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation